# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_1c45axuaj4/clone/recipe, last modified Thu Aug 31 09:21:16 2023
# ------------------------------------------------

package:
  name: mlflow
  version: 2.6.0
source:
  sha256: fd569232e65d69c0cb7006847b1a1bd80831bf0e19378052a44ee5c0ae349182
  url: https://pypi.io/packages/source/m/mlflow/mlflow-2.6.0.tar.gz
build:
  entry_points:
    - mlflow=mlflow.cli:cli
  number: '0'
  script: '

    /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_1c45axuaj4/croot/mlflow_1693491688283/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vvv

    '
  string: py311h70df568_0
requirements:
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.05.30 hecd8cb5_0
    - libffi 3.4.4 hecd8cb5_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.10 hca72f7f_2
    - pip 23.2.1 py311hecd8cb5_0
    - python 3.11.4 hf27a42d_0
    - readline 8.2 hca72f7f_0
    - setuptools 68.0.0 py311hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - alembic <2,!=1.10.0
    - click >=7.0,<9.0
    - cloudpickle <3.0
    - databricks-cli >=0.8.7,<1
    - docker-py >=4.0.0,<7.0
    - entrypoints <1.0
    - flask <3.0
    - gitpython >=2.1.0,<4.0
    - gunicorn <22
    - importlib-metadata <7,>=3.7.0,!=4.7.0
    - jinja2 <4,>=2.11
    - markdown >=3.3,<4.0
    - matplotlib-base <4.0
    - numpy <2.0
    - packaging <24
    - pandas <3.0
    - protobuf >=3.12.0,<5.0
    - pyarrow <13,>=4.0.0
    - python >=3.11,<3.12.0a0
    - pytz <2024
    - pyyaml >=5.1,<7.0
    - querystring_parser <2.0
    - requests >=2.17.3,<3.0
    - scikit-learn <2.0
    - scipy <2.0
    - sqlalchemy >=1.4.0,<3
    - sqlparse >=0.4.0,<1.0
  run_constrained:
    - fastai >=2.4.1
    - mlflow-skinny <0a0
    - mxnet !=1.8.0
    - onnx >=1.11.0
    - pytorch_lightning >=1.5.10
    - shap >=0.40
    - spacy >=3.3.0
    - tensorflow >=2.8.0
    - torch >=1.11.0
    - torchvision >=0.12.0
    - xgboost >=0.82
test:
  commands:
    - mlflow --help
    - pip check
  imports:
    - mlflow
    - mlflow.models
    - mlflow.projects
    - mlflow.protos
    - mlflow.pyfunc
    - mlflow.pytorch
    - mlflow.rfunc
    - mlflow.sagemaker
    - mlflow.server
    - mlflow.store
    - mlflow.tracking
    - mlflow.utils
  requires:
    - pip
about:
  description: 'MLflow is a platform to streamline machine learning development, including
    tracking

    experiments, packaging code into reproducible runs, and sharing and deploying
    models.

    MLflow offers a set of lightweight APIs that can be used with any existing machine

    learning application or library (TensorFlow, PyTorch, XGBoost, etc), wherever
    you

    currently run ML code (e.g. in notebooks, standalone applications or the cloud).

    '
  dev_url: https://github.com/mlflow/mlflow
  doc_url: https://mlflow.org
  home: https://mlflow.org/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE.txt
  summary: 'MLflow: A Machine Learning Lifecycle Platform'
extra:
  copy_test_source_files: true
  feedstock-name: mlflow
  final: true
  flow_run_id: 1c1f5c51-ea50-4321-ba3d-c2e6f2434712
  recipe-maintainers:
    - aarondav
    - ahirreddy
    - andrewmchen
    - aveshcsingh
    - dbczumar
    - harupy
    - janjagusch
    - jaroslawk
    - mateiz
    - mparkhe
    - pogil
    - smurching
    - sueann
    - tomasatdatabricks
    - xhochy
    - zangr
  remote_url: git@github.com:AnacondaRecipes/mlflow-feedstock.git
  sha: a759f90b8c74a421c291609f616c3ff76e16fb60
